import { Modal, ModalService } from '@zeedhi/common';

export class ConsumptionDiversionModalController {
  private consumptionDiversionModal!: Modal;

  public async createConsumptionDiversionModal() {
    this.consumptionDiversionModal = await ModalService.createFromJson('/modals/consumptionDiversionModal', true);
  }

  public destroyConsumptionDiversionModal() {
    this.consumptionDiversionModal?.destroy();
  }

  public openConsumptionDiversionModal() {
    this.consumptionDiversionModal.show();
  }

  public closeConsumptionDiversionModal() {
    this.consumptionDiversionModal.hide();
  }
}
